From df2a1b5cb323d639bcf75fac6799b89b40dec972 Mon Sep 17 00:00:00 2001
From: Anton Voloshin <a.voloshin@postgrespro.ru>
Date: Fri, 12 Apr 2024 22:49:17 +0300
Subject: [PATCH 1/3] clarify "different kind" by adding a link to a section of
 "create type" page

---
 doc/src/sgml/ref/create_type.sgml | 2 +-
 doc/src/sgml/rowtypes.sgml        | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/ref/create_type.sgml b/doc/src/sgml/ref/create_type.sgml
index 994dfc65268..b975531864b 100644
--- a/doc/src/sgml/ref/create_type.sgml
+++ b/doc/src/sgml/ref/create_type.sgml
@@ -188,7 +188,7 @@ CREATE TYPE <replaceable class="parameter">name</replaceable>
    </para>
   </refsect2>
 
-  <refsect2>
+  <refsect2 id="sql-createtype-base">
    <title>Base Types</title>
 
   <para>
diff --git a/doc/src/sgml/rowtypes.sgml b/doc/src/sgml/rowtypes.sgml
index bbeac84d46a..9d658a70c41 100644
--- a/doc/src/sgml/rowtypes.sgml
+++ b/doc/src/sgml/rowtypes.sgml
@@ -39,7 +39,8 @@ CREATE TYPE inventory_item AS (
   The syntax is comparable to <command>CREATE TABLE</command>, except that only
   field names and types can be specified; no constraints (such as <literal>NOT
   NULL</literal>) can presently be included.  Note that the <literal>AS</literal> keyword
-  is essential; without it, the system will think a different kind
+  is essential; without it, the system will think a <link
+  linkend="sql-createtype-base">different kind</link>
   of <command>CREATE TYPE</command> command is meant, and you will get odd syntax
   errors.
  </para>
-- 
2.43.2

